diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.ui.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.ui.js
index bc42b1f1..67622616 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.ui.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.ui.js
@@ -339,7 +339,7 @@ export default class TriggerSchema extends BaseUISchema {
       }
     },{
       id: 'tfunction', label: gettext('Trigger function'),
-      type: 'select', disabled: obj.inSchemaWithModelCheck,
+      type: 'select', readonly: obj.inSchemaWithModelCheck,
       mode: ['create','edit', 'properties'], group: gettext('Definition'),
       control: 'node-ajax-options', url: 'get_triggerfunctions', url_jump_after_node: 'schema',
       options: obj.fieldOptions.triggerFunction,
@@ -348,7 +348,7 @@ export default class TriggerSchema extends BaseUISchema {
       id: 'tgargs', label: gettext('Arguments'), cell: 'text',
       group: gettext('Definition'),
       type: 'text',mode: ['create','edit', 'properties'], deps: ['tfunction'],
-      disabled: (state) => {
+      readonly: (state) => {
         // We will disable it when EDB PPAS and trigger function is
         // set to Inline EDB-SPL
         var tfunction = state.tfunction,
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/vacuum.ui.js b/web/pgadmin/browser/server_groups/servers/static/js/vacuum.ui.js
index bfe6ea13..f18a41a9 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/vacuum.ui.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/vacuum.ui.js
@@ -122,7 +122,7 @@ export default class VacuumSettingsSchema extends BaseUISchema {
       disabled: function(state) {
         // We need to check additional condition to toggle enable/disable
         // for table auto-vacuum
-        if(obj.inCatalog && state.hastoasttable) {
+        if(obj.inCatalog && (obj.top.isNew() || state.hastoasttable)) {
           return false;
         }
         return true;
